Customer
Add new address
POST
/
customers
/
{centsCustomerId}
/
addresses
cURL
curl --request POST \
--url https://api3.trycents.com/api/v1/common/customers/{centsCustomerId}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'fwdorigin: <fwdorigin>' \
--data '
{
"address1": "<string>",
"city": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"lat": 123,
"lng": 123,
"address2": "<string>",
"instructions": "<string>",
"leaveAtDoor": true,
"googlePlacesId": "<string>"
}
'import requests
url = "https://api3.trycents.com/api/v1/common/customers/{centsCustomerId}/addresses"
payload = {
"address1": "<string>",
"city": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"lat": 123,
"lng": 123,
"address2": "<string>",
"instructions": "<string>",
"leaveAtDoor": True,
"googlePlacesId": "<string>"
}
headers = {
"fwdorigin": "<fwdorigin>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
fwdorigin: '<fwdorigin>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address1: '<string>',
city: '<string>',
countryCode: '<string>',
postalCode: '<string>',
lat: 123,
lng: 123,
address2: '<string>',
instructions: '<string>',
leaveAtDoor: true,
googlePlacesId: '<string>'
})
};
fetch('https://api3.trycents.com/api/v1/common/customers/{centsCustomerId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"instructions": "<string>",
"leaveAtDoor": "<string>",
"lat": 123,
"lng": 123
}"Customer is required"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
DISPATCH_API Path Parameters
Body
application/json
⌘I
cURL
